plus_result< A1, A2, typename std::enable_if< is_rheolef_arithmetic< A1 >::value &&is_rheolef_arithmetic< A2 >::value >::type >

## Public Types

typedef promote< A1, A2 >::type | type

## Detailed Description

### template<class A1, class A2>
struct rheolef::details::plus_result< A1, A2, typename std::enable_if< is_rheolef_arithmetic< A1 >::value &&is_rheolef_arithmetic< A2 >::value >::type >

Definition at line 440 of file expression.h.

## Member Typedef Documentation

## type

typedef promote<A1,A2>::type type

Definition at line 446 of file expression.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/expression.h